Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update dev dependencies #220

Merged
merged 8 commits into from Aug 9, 2019
Merged

Update dev dependencies #220

merged 8 commits into from Aug 9, 2019

Conversation

fanatid
Copy link
Collaborator

@fanatid fanatid commented Jul 7, 2019

Not a big deal, but wanted keep at actual stage for development.

  • istanbul removed, if coverage will be required will need add scripts and add nyc as dependency
  • semistandard updated and new error messages fixes, probably new version will out soon (new standard version was released 2 days ago)
  • mocha updated, nothing changed

Added yarn.lock for locking dev dependencies, travis now install dependencies with yarn.

Node.js versions in travis config updated, it's not possible keep 7,9 because one of dependencies of dependencies have restrictions in engines field, details: https://travis-ci.org/fanatid/bn.js/builds/555443389
Version 6 is not possible, because assert package at that time did not had strictversion (require('assert').strict). I think it's possible to solve by using strictEqual and other, but is this matter run tests on version 6?

Going squash and merge after 24h if there will no NACKs.

@fanatid fanatid force-pushed the dependencies-update branch from b39d8e7 to ada7c22 Jul 29, 2019
@fanatid fanatid force-pushed the dependencies-update branch from ada7c22 to 3eea809 Jul 29, 2019
@fanatid
Copy link
Collaborator Author

@fanatid fanatid commented Jul 29, 2019

Last commit need to be fixed a little, fix in eslint-plugin-es5: nkt/eslint-plugin-es5#34

@fanatid fanatid force-pushed the dependencies-update branch from 3eea809 to 60f4819 Aug 9, 2019
@fanatid fanatid merged commit cdee8c9 into indutny:master Aug 9, 2019
1 check passed
@fanatid fanatid deleted the dependencies-update branch Aug 9, 2019
@fanatid fanatid mentioned this pull request Aug 9, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

1 participant